| The Gaudi Framework v29r1 (5cd95fa2)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | Static Private Attributes | List of all members
GaudiKernel.Configurable.ConfigurableAlgTool Class Reference
Inheritance diagram for GaudiKernel.Configurable.ConfigurableAlgTool:
[legend]
Collaboration diagram for GaudiKernel.Configurable.ConfigurableAlgTool:
[legend]

## Public Member Functions
def | __init__ (self, name=Configurable.DefaultName)
def | getHandle (self)
def | getGaudiType (self)
def | getGaudiHandle (self)
def | getPrintTitle (self)
def | setParent (self, parentName)
def | getParent (self)
def | hasParent (self, parent)
def | getJobOptName (self)
def | isPublic (self)
def | isInToolSvc (self)
def | toStringProperty (self)
def | getFullName (self)
Public Member Functions inherited from GaudiKernel.Configurable.Configurable
def | __new__ (cls, args, kwargs)
def | __init__ (self, name=DefaultName)
def | __getstate__ (self)
def | __getnewargs__ (self)
def | __setstate__ (self, dict)
def | __len__ (self)
def | __iter__ (self)
def | __deepcopy__ (self, memo)
def | __iadd__ (self, configs, descr=None)
def | __getattr__ (self, attr)
def | __setattr__ (self, name, value)
def | __delattr__ (self, attr)
def | __nonzero__ (self)
def | remove (self, items)
def | removeAll (self)
def | copyChild (self, child)
def | setParent (self, parentName)
def | getParent (self)
def | hasParent (self, parent)
def | copyChildAndSetParent (self, cfg, parent)
def | getChildren (self)
def | getTools (self)
def | children (self)
def | getAllChildren (self)
def | getSequence (self)
def | setup (self)
def | getProperties (self)
def | getPropertiesWithDescription (self)
def | getValuedProperties (self)
def | properties (self)
def | getDefaultProperties (cls)
def | getDefaultProperty (cls, name)
def | getProp (self, name)
def | setProp (self, name, value)
def | isPropertySet (self, name)
def | getType (cls)
def | getName (self)
def | name (self)
def | getJobOptName (self)
def | isPublic (self)
def | jobOptName (self)
def | getFullName (self)
def | getFullJobOptName (self)
def | getPrintTitle (self)
def | getTitleName (self)
def | setDefaults (cls, handle)
def | clone (self, name=None, kwargs)
def | splitName (self)
def | addTool (self, tool, name=None)
def | __repr__ (self)
def | __str__ (self, indent=0, headerLastIndentUnit=indentUnit)

## Private Attributes
| _name
| _jobOptName

## Static Private Attributes
dictionary | __slots__

## Additional Inherited Members
Static Public Attributes inherited from GaudiKernel.Configurable.Configurable
| propertyNoValue
string | indentUnit = '| '
int | printHeaderWidth = 100
int | printHeaderPre = 5
dictionary | allConfigurables = {}
dictionary | configurableServices = {}

## Detailed Description

Definition at line 1101 of file Configurable.py.

## Constructor & Destructor Documentation

def GaudiKernel.Configurable.ConfigurableAlgTool.__init__ | ( |  | self,
|  |  | name = `Configurable.DefaultName`
| ) |  |

Definition at line 1105 of file Configurable.py.

1105 def __init__(self, name=Configurable.DefaultName):
1106 super(ConfigurableAlgTool, self).__init__(name)
1107 if '.' not in self._name:
1108 # Public tools must have ToolSvc as parent
1109 self._name = "ToolSvc." + self._name
1110 name = self.getName()
1111 name = name[name.find('/') + 1:] # strips class, if any
1112 self._jobOptName = name
1113
GaudiKernel.Configurable.ConfigurableAlgTool._jobOptName
_jobOptName
Definition: Configurable.py:1112
GaudiKernel.Configurable.ConfigurableAlgTool.__init__
def __init__(self, name=Configurable.DefaultName)
Definition: Configurable.py:1105
GaudiKernel.Configurable.Configurable._name
_name
Definition: Configurable.py:315
GaudiKernel.Configurable.Configurable.getName
def getName(self)
Definition: Configurable.py:715

## Member Function Documentation

def GaudiKernel.Configurable.ConfigurableAlgTool.getFullName | ( |  | self | ) |

Definition at line 1172 of file Configurable.py.

1172 def getFullName(self):
1173 # for Tools, the "full name" means "Type/LocalName",
1174 # without the names of the parents
1175 name = self.getName()
1176 # strip off everything before the last '.'
1177 name = name[name.rfind('.') + 1:]
1178 return str(self.getType() + '/' + name)
1179
1180
1181 # FIXME: this is just a placeholder, waiting for a real implementation
1182 # It is sufficient to get us going... (and import a PkgConf which
1183 # happens to contain an Auditor...)
GaudiKernel.Configurable.ConfigurableAlgTool.getFullName
def getFullName(self)
Definition: Configurable.py:1172
GaudiKernel.Configurable.Configurable.getName
def getName(self)
Definition: Configurable.py:715
GaudiKernel.Configurable.Configurable.getType
def getType(cls)
Definition: Configurable.py:712

def GaudiKernel.Configurable.ConfigurableAlgTool.getGaudiHandle | ( |  | self | ) |

Definition at line 1121 of file Configurable.py.

1121 def getGaudiHandle(self):
1122 if self.isPublic():
1123 return PublicToolHandle(self.toStringProperty())
1124 else:
1125 return PrivateToolHandle(self.toStringProperty())
1126
GaudiKernel.GaudiHandles.PrivateToolHandle
Definition: GaudiHandles.py:82
GaudiKernel.Configurable.ConfigurableAlgTool.toStringProperty
def toStringProperty(self)
Definition: Configurable.py:1168
GaudiKernel.Configurable.ConfigurableAlgTool.getGaudiHandle
def getGaudiHandle(self)
Definition: Configurable.py:1121
GaudiKernel.GaudiHandles.PublicToolHandle
Definition: GaudiHandles.py:73
GaudiKernel.Configurable.Configurable.isPublic
def isPublic(self)
Definition: Configurable.py:724

def GaudiKernel.Configurable.ConfigurableAlgTool.getGaudiType | ( |  | self | ) |

Definition at line 1118 of file Configurable.py.

1118 def getGaudiType(self):
1119 return 'AlgTool'
1120
GaudiKernel.Configurable.ConfigurableAlgTool.getGaudiType
def getGaudiType(self)
Definition: Configurable.py:1118

def GaudiKernel.Configurable.ConfigurableAlgTool.getHandle | ( |  | self | ) |

Definition at line 1114 of file Configurable.py.

1114 def getHandle(self):
1115 # iAlgTool isn't useful, unless one knows for sure that the tool exists
1116 return iProperty(self.getJobOptName())
1117
GaudiKernel.Configurable.Configurable.getJobOptName
def getJobOptName(self)
Definition: Configurable.py:721
GaudiKernel.Configurable.ConfigurableAlgTool.getHandle
def getHandle(self)
Definition: Configurable.py:1114

def GaudiKernel.Configurable.ConfigurableAlgTool.getJobOptName | ( |  | self | ) |

Definition at line 1159 of file Configurable.py.

1159 def getJobOptName(self):
1160 return self._jobOptName
1161
GaudiKernel.Configurable.ConfigurableAlgTool._jobOptName
_jobOptName
Definition: Configurable.py:1112
GaudiKernel.Configurable.ConfigurableAlgTool.getJobOptName
def getJobOptName(self)
Definition: Configurable.py:1159

def GaudiKernel.Configurable.ConfigurableAlgTool.getParent | ( |  | self | ) |

Definition at line 1149 of file Configurable.py.

1149 def getParent(self):
1150 dot = self._jobOptName.rfind('.')
1151 if dot != -1:
1152 return self._jobOptName[:dot]
1153 else:
1154 return ""
1155
GaudiKernel.Configurable.ConfigurableAlgTool._jobOptName
_jobOptName
Definition: Configurable.py:1112
GaudiKernel.Configurable.ConfigurableAlgTool.getParent
def getParent(self)
Definition: Configurable.py:1149

def GaudiKernel.Configurable.ConfigurableAlgTool.getPrintTitle | ( |  | self | ) |

Definition at line 1127 of file Configurable.py.

1127 def getPrintTitle(self):
1128 if self.isPublic():
1129 pop = 'Public '
1130 else:
1131 pop = 'Private '
1132 return pop + Configurable.getPrintTitle(self)
1133
GaudiKernel.Configurable.ConfigurableAlgTool.getPrintTitle
def getPrintTitle(self)
Definition: Configurable.py:1127
GaudiKernel.Configurable.Configurable.isPublic
def isPublic(self)
Definition: Configurable.py:724

def GaudiKernel.Configurable.ConfigurableAlgTool.hasParent | ( |  | self,
|  |  | parent
| ) |  |

Definition at line 1156 of file Configurable.py.

1156 def hasParent(self, parent):
1157 return self._jobOptName.startswith(parent + '.')
1158
GaudiKernel.Configurable.ConfigurableAlgTool.hasParent
def hasParent(self, parent)
Definition: Configurable.py:1156

def GaudiKernel.Configurable.ConfigurableAlgTool.isInToolSvc | ( |  | self | ) |

Definition at line 1165 of file Configurable.py.

1165 def isInToolSvc(self):
1166 return self._jobOptName.startswith('ToolSvc.')
1167
GaudiKernel.Configurable.ConfigurableAlgTool.isInToolSvc
def isInToolSvc(self)
Definition: Configurable.py:1165

def GaudiKernel.Configurable.ConfigurableAlgTool.isPublic | ( |  | self | ) |

Definition at line 1162 of file Configurable.py.

1162 def isPublic(self):
1163 return self.isInToolSvc()
1164
GaudiKernel.Configurable.ConfigurableAlgTool.isInToolSvc
def isInToolSvc(self)
Definition: Configurable.py:1165
GaudiKernel.Configurable.ConfigurableAlgTool.isPublic
def isPublic(self)
Definition: Configurable.py:1162

def GaudiKernel.Configurable.ConfigurableAlgTool.setParent | ( |  | self,
|  |  | parentName
| ) |  |

Definition at line 1134 of file Configurable.py.

1134 def setParent(self, parentName):
1135 # print "ConfigurableAlgTool.setParent(%s@%x,%r)" % (self.getName(),id(self),parentName)
1136 # print "Calling stack:"
1137 # import traceback
1138 # traceback.print_stack()
1139 # propagate parent to AlgTools in children
1140 for c in self.getAllChildren():
1141 if isinstance(c, ConfigurableAlgTool):
1142 c.setParent(parentName)
1143
1144 # update my own parent
1145 name = self.getName()
1146 name = name[name.rfind('.') + 1:] # Name of the instance
1147 self._jobOptName = self._name = parentName + '.' + name
1148
GaudiKernel.Configurable.ConfigurableAlgTool._jobOptName
_jobOptName
Definition: Configurable.py:1112
GaudiKernel.Configurable.ConfigurableAlgTool.setParent
def setParent(self, parentName)
Definition: Configurable.py:1134
GaudiKernel.Configurable.Configurable._name
_name
Definition: Configurable.py:315
GaudiKernel.Configurable.Configurable.getName
def getName(self)
Definition: Configurable.py:715
GaudiKernel.Configurable.Configurable.getAllChildren
def getAllChildren(self)
Definition: Configurable.py:519

def GaudiKernel.Configurable.ConfigurableAlgTool.toStringProperty | ( |  | self | ) |

Definition at line 1168 of file Configurable.py.

1168 def toStringProperty(self):
1169 # called on conversion to a string property for the jocat
1170 return self.getFullName()
1171
GaudiKernel.Configurable.ConfigurableAlgTool.toStringProperty
def toStringProperty(self)
Definition: Configurable.py:1168
GaudiKernel.Configurable.Configurable.getFullName
def getFullName(self)
Definition: Configurable.py:733

## Member Data Documentation

dictionary GaudiKernel.Configurable.ConfigurableAlgTool.__slots__
| static private

Initial value:
1 = {'_jobOptName': '', 'OutputLevel': 0,
2 'AuditTools': 0, 'AuditInitialize': 0, 'AuditFinalize': 0}

Definition at line 1102 of file Configurable.py.

GaudiKernel.Configurable.ConfigurableAlgTool._jobOptName
| private

Definition at line 1112 of file Configurable.py.

GaudiKernel.Configurable.ConfigurableAlgTool._name
| private

Definition at line 1109 of file Configurable.py.

The documentation for this class was generated from the following file:

- GaudiKernel/python/GaudiKernel/Configurable.py